class AnwendungTestEqualsAngestellter
{
	public static void main (String [] args)
	{
		Angestellter a1=null;
		Angestellter a2=null;
		Angestellter a3=null;
		int testnummer=1;
		
		System.out.println("--------------------------");
		a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		a2=new Angestellter("Meier","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1+",\n\ta2: "+a2);
		System.out.println("Test "+testnummer+": a1.equals(a2)");
		System.out.println("true Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		a2=new Angestellter("Meyer","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1+",\n\ta2: "+a2);
		System.out.println("Test "+testnummer+": a1.equals(a2)");
		System.out.println("false Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		a2=new Angestellter("Meier","Pauline",1234,"Gärtner");
		System.out.println("\ta1: "+a1+",\n\ta2: "+a2);
		System.out.println("Test "+testnummer+": a1.equals(a2)");
		System.out.println("false Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		a1=new Angestellter("Meier","Paula",1230,"Gärtner");
		a2=new Angestellter("Meier","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1+",\n\ta2: "+a2);
		System.out.println("Test "+testnummer+": a1.equals(a2)");
		System.out.println("false Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		a1=new Angestellter("Meier","Paula",1234,"Gartenarbeiter");
		a2=new Angestellter("Meier","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1+",\n\ta2: "+a2);
		System.out.println("Test "+testnummer+": a1.equals(a2)");
		System.out.println("false Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		
		//reflexiv		
		System.out.println("--------------------------reflexiv");
		a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1);
		System.out.println("Test "+testnummer+": a1.equals(a1)");
		System.out.println("true Expected");
		System.out.println(a1.equals(a1)+" Result");
		testnummer++;
		//symmetrisch		
		System.out.println("--------------------------symmetrisch");
		a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		a2=new Angestellter("Meier","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1+",\n\ta2: "+a2);
		System.out.println("Test "+testnummer+": a1.equals(a2)");
		System.out.println("true Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" a2.equals(a1)");
		System.out.println("true Expected");
		System.out.println(a2.equals(a1)+" Result");
		testnummer++;
		//transitiv		
		System.out.println("--------------------------transitiv");
		a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		a2=new Angestellter("Meier","Paula",1234,"Gärtner");
		a3=new Angestellter("Meier","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1+",\n\ta2: "+a2+",\n\ta3: "+a3);
		System.out.println("Test "+testnummer+": a1.equals(a2)");
		System.out.println("true Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" a2.equals(a3)");
		System.out.println("true Expected");
		System.out.println(a2.equals(a3)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" a1.equals(a3)");
		System.out.println("true Expected");
		System.out.println(a1.equals(a3)+" Result");
		testnummer++;
		//konsistent		
		System.out.println("--------------------------konsistent");
		a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		a2=new Angestellter("Meier","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1+",\n\ta2: "+a2);
		System.out.println("Test "+testnummer+": a1.equals(a2)");
		System.out.println("true Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" a1.equals(a2)");
		System.out.println("true Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" a1.equals(a2)");
		System.out.println("true Expected");
		System.out.println(a1.equals(a2)+" Result");
		testnummer++;
		//null Parameter		
		System.out.println("--------------------------null Parameter");
		a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		System.out.println("\ta1: "+a1);
		System.out.println("Test "+testnummer+": a1.equals(null)");
		System.out.println("false Expected");
		System.out.println(a1.equals(null)+" Result");
		testnummer++;
	}
}